// VisualCppRunDlg.h : header file
//
#if !defined(_VISUALCPPRUNDLG_H_)
#define _VISUALCPPRUNDLG_H_

#include <string>

using namespace std;

/////////////////////////////////////////////////////////////////////////////
// CVisualCppRunDlg dialog

class CVisualCppRunDlg : public CDialog
{
// Construction
public:
	CVisualCppRunDlg(CWnd* pParent = NULL);   // standard constructor

	void SetCaption(const wstring& caption);
	void SetTitle(const wstring& title);

	enum enVcRunMode {
		enVcRunMode_None = 0,
		enVcRunMode_Execute,
		enVcRunMode_ExecuteAndCompile
	};

	enVcRunMode GetRunMode() const;
	bool GetTestProjectRun() const;
	void SetTestProjectEnabled(bool enable);

// Dialog Data
	//{{AFX_DATA(CVisualCppRunDlg)
	enum { IDD = IDD_VISUALC_RUN_OPTIONS };
	CButton	chkRunTestProject_;
	CStatic	lblTitle_;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVisualCppRunDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CVisualCppRunDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnOpt1();
	afx_msg void OnOpt2();
	afx_msg void OnRadio3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	wstring title_;
	wstring caption_;
	enVcRunMode runMode_;

	bool testProjectRun_;
	bool testProjectEnabled_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_VISUALCPPRUNDLG_H_)
